from fastapi import APIRouter

from app.api.v1.endpoints import (
    auth,
    users,
    gyms,
    memberships,
    subscriptions,
    payments,
    admin,
)

api_router = APIRouter()

api_router.include_router(auth.router, prefix="/auth", tags=["authentication"])
api_router.include_router(users.router, prefix="/users", tags=["users"])
api_router.include_router(gyms.router, prefix="/gyms", tags=["gyms"])
api_router.include_router(
    memberships.router, prefix="/memberships", tags=["memberships"]
)
api_router.include_router(
    subscriptions.router, prefix="/subscriptions", tags=["subscriptions"]
)
api_router.include_router(payments.router, prefix="/payments", tags=["payments"])
api_router.include_router(admin.router, prefix="/admin", tags=["admin"])
